ServiceTypeValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.ServiceTypeValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class ServiceTypeValue

    java.lang.Object
      org.hyperic.hq.appdef.shared.AppdefResourceTypeValue
          org.hyperic.hq.appdef.shared.ServiceTypeValue

All Implemented Interfaces:
  java.io.Serializable

    public class ServiceTypeValue

extends AppdefResourceTypeValue
implements java.io.Serializable

Value object for ServiceType.

See Also:
  Serialized Form

Constructor Summary
`ServiceTypeValue()`
`ServiceTypeValue(ServiceTypeValue otherValue)`
`ServiceTypeValue(java.lang.String name, java.lang.String sortName, java.lang.String description, java.lang.String plugin, boolean isInternal, java.lang.Integer id, java.lang.Long mTime, java.lang.Long cTime)`

Method Summary
`boolean` | `cTimeHasBeenSet()`
`boolean` | `descriptionHasBeenSet()`
`boolean` | `equals(java.lang.Object other)`
`int` | `getAppdefType()`
`java.lang.Long` | `getCTime()`
`java.lang.String` | `getDescription()`
`java.lang.Integer` | `getId()`
`boolean` | `getIsInternal()`
`java.lang.Long` | `getMTime()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPlugin()`
`java.lang.String` | `getSortName()`
`int` | `hashCode()`
`protected boolean` | `hasIdentity()` A Value object have an identity if its attributes making its Primary Key has all been set.
`boolean` | `idHasBeenSet()`
`boolean` | `isIdentical(java.lang.Object other)`
`boolean` | `isInternalHasBeenSet()`
`boolean` | `mTimeHasBeenSet()`
`boolean` | `nameHasBeenSet()`
`boolean` | `pluginHasBeenSet()`
`void` | `setCTime(java.lang.Long cTime)`
`void` | `setDescription(java.lang.String description)`
`void` | `setId(java.lang.Integer id)`
`void` | `setIsInternal(boolean isInternal)`
`void` | `setMTime(java.lang.Long mTime)`
`void` | `setName(java.lang.String name)`
`void` | `setPlugin(java.lang.String plugin)`
`void` | `setSortName(java.lang.String sortName)`
`boolean` | `sortNameHasBeenSet()`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.appdef.shared.AppdefResourceTypeValue
`getAppdefTypeKey, getCreateTime, getModifiedTime`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceTypeValue

    public ServiceTypeValue()

### ServiceTypeValue

    public ServiceTypeValue(java.lang.String name,
                            java.lang.String sortName,
                            java.lang.String description,
                            java.lang.String plugin,
                            boolean isInternal,
                            java.lang.Integer id,
                            java.lang.Long mTime,
                            java.lang.Long cTime)

### ServiceTypeValue

    public ServiceTypeValue(ServiceTypeValue otherValue)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `AppdefResourceTypeValue`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in class `AppdefResourceTypeValue`

### nameHasBeenSet

    public boolean nameHasBeenSet()

### getSortName

    public java.lang.String getSortName()

### setSortName

    public void setSortName(java.lang.String sortName)

### sortNameHasBeenSet

    public boolean sortNameHasBeenSet()

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in class `AppdefResourceTypeValue`

### setDescription

    public void setDescription(java.lang.String description)

  Specified by:
    `setDescription` in class `AppdefResourceTypeValue`

### descriptionHasBeenSet

    public boolean descriptionHasBeenSet()

### getPlugin

    public java.lang.String getPlugin()

### setPlugin

    public void setPlugin(java.lang.String plugin)

### pluginHasBeenSet

    public boolean pluginHasBeenSet()

### getIsInternal

    public boolean getIsInternal()

### setIsInternal

    public void setIsInternal(boolean isInternal)

### isInternalHasBeenSet

    public boolean isInternalHasBeenSet()

### getId

    public java.lang.Integer getId()

  Specified by:
    `getId` in class `AppdefResourceTypeValue`

### setId

    public void setId(java.lang.Integer id)

  Specified by:
    `setId` in class `AppdefResourceTypeValue`

### idHasBeenSet

    public boolean idHasBeenSet()

### getMTime

    public java.lang.Long getMTime()

  Specified by:
    `getMTime` in class `AppdefResourceTypeValue`

### setMTime

    public void setMTime(java.lang.Long mTime)

### mTimeHasBeenSet

    public boolean mTimeHasBeenSet()

### getCTime

    public java.lang.Long getCTime()

  Specified by:
    `getCTime` in class `AppdefResourceTypeValue`

### setCTime

    public void setCTime(java.lang.Long cTime)

### cTimeHasBeenSet

    public boolean cTimeHasBeenSet()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hasIdentity

    protected boolean hasIdentity()

  A Value object have an identity if its attributes making its Primary Key has all been set. One object without identity is never equal to any other object.

  Returns:
    true if this instance have an identity.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### isIdentical

    public boolean isIdentical(java.lang.Object other)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getAppdefType

    public int getAppdefType()

  Specified by:
    `getAppdefType` in class `AppdefResourceTypeValue`
  Returns:
    appdef int value designator of entity type.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.